org.springframework.data.convert

## Class EntityInstantiators

- java.lang.Object
- - org.springframework.data.mapping.model.EntityInstantiators
  - - org.springframework.data.convert.EntityInstantiators

Deprecated.
since 2.3, use `EntityInstantiators` instead.

    @Deprecated
    public class EntityInstantiators
    extends EntityInstantiators

Simple value object allowing access to `EntityInstantiator` instances for a given type falling back to a default one.

Author:
  Oliver Gierke, Thomas Darimont, Christoph Strobl, Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`EntityInstantiators()` Deprecated. Creates a new `EntityInstantiators` using the default fallback instantiator and no custom ones.
`EntityInstantiators(EntityInstantiator fallback)` Deprecated. Creates a new `EntityInstantiators` using the given `EntityInstantiator` as fallback.
`EntityInstantiators(EntityInstantiator defaultInstantiator, Map<Class<?>,EntityInstantiator> customInstantiators)` Deprecated. Creates a new `EntityInstantiator` using the given fallback `EntityInstantiator` and the given custom ones.
`EntityInstantiators(Map<Class<?>,EntityInstantiator> customInstantiators)` Deprecated. Creates a new `EntityInstantiators` using the default fallback instantiator and the given custom ones.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`EntityInstantiator` `getInstantiatorFor(PersistentEntity<?,?> entity)` Deprecated. Returns the `EntityInstantiator` to be used to create the given `PersistentEntity`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EntityInstantiators

    public EntityInstantiators()

Deprecated.
Creates a new `EntityInstantiators` using the default fallback instantiator and no custom ones.

#### EntityInstantiators

    public EntityInstantiators(EntityInstantiator fallback)

Deprecated.
Creates a new `EntityInstantiators` using the given `EntityInstantiator` as fallback.

Parameters:
  `fallback` - must not be null.

#### EntityInstantiators

    public EntityInstantiators(Map<Class<?>,EntityInstantiator> customInstantiators)

Deprecated.
Creates a new `EntityInstantiators` using the default fallback instantiator and the given custom ones.

Parameters:
  `customInstantiators` - must not be null.

#### EntityInstantiators

    public EntityInstantiators(EntityInstantiator defaultInstantiator,
                               Map<Class<?>,EntityInstantiator> customInstantiators)

Deprecated.
Creates a new `EntityInstantiator` using the given fallback `EntityInstantiator` and the given custom ones.

Parameters:
  `defaultInstantiator` - must not be null.
  `customInstantiators` - must not be null.

### Method Detail

#### getInstantiatorFor

    public EntityInstantiator getInstantiatorFor(PersistentEntity<?,?> entity)

Deprecated.
Description copied from class: `EntityInstantiators`
Returns the `EntityInstantiator` to be used to create the given `PersistentEntity`.

Overrides:
  `getInstantiatorFor` in class `EntityInstantiators`
Parameters:
  `entity` - must not be null.
Returns:
  will never be null.